require 'test_helper'

class RunnerTest < Minitest::Test

  def setup
    @runner = Splot::Runner.new
  end

  def test_config_file_set_if_present
    mock_files_existing ".splotrc" do
      @runner.parse_splotrc
      assert_equal ".splotrc", @runner.params[:config_file]
    end
  end

  def test_config_file_not_set_if_not_present
    @runner.parse_splotrc
    refute_equal ".splotrc", @runner.params[:config_file]
  end

end
