# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'splot/version'

Gem::Specification.new do |spec|
  spec.name          = "splot"
  spec.version       = Splot::VERSION
  spec.authors       = ["ntl"]
  spec.email         = ["nathanladd+github@gmail.com"]
  spec.description   = %q{Run any test from any file from any project. When using Test::Unit, specify an individual test by line number the way you can in rspec. Easily integrate "run the tests corresponding to this file" in your editor.}
  spec.summary       = %q{Run any test from any file from any project :)}
  spec.homepage      = "https://github.com/ntl/splot"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "activesupport"
end
